package dev.shadowsoffire.apotheosis.adventure.affix.salvaging;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.adventure.loot.LootRarity;
import dev.shadowsoffire.placebo.color.GradientColor;
import dev.shadowsoffire.placebo.reload.DynamicHolder;
import java.util.List;
import net.minecraft.ChatFormatting;
import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.Style;
import net.minecraft.network.chat.TextColor;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.level.Level;

public class SalvageItem extends Item {
  protected final DynamicHolder<LootRarity> rarity;
  
  public SalvageItem(DynamicHolder<LootRarity> rarity, Item.Properties pProperties) {
    super(pProperties);
    this.rarity = rarity;
  }
  
  public Component m_7626_(ItemStack pStack) {
    if ("ancient".equals(this.rarity.getId().m_135815_()))
      return (Component)Component.m_237115_(m_5671_(pStack)).m_130940_(ChatFormatting.OBFUSCATED).m_130938_(s -> s.m_131148_((TextColor)GradientColor.RAINBOW)); 
    if (!this.rarity.isBound())
      return super.m_7626_(pStack); 
    return (Component)Component.m_237115_(m_5671_(pStack)).m_130948_(Style.f_131099_.m_131148_(((LootRarity)this.rarity.get()).getColor()));
  }
  
  public void m_7373_(ItemStack pStack, Level pLevel, List<Component> list, TooltipFlag pIsAdvanced) {
    if (this.rarity.isBound())
      list.add(Component.m_237110_("info.apotheosis.rarity_material", new Object[] { ((LootRarity)this.rarity.get()).toComponent() }).m_130940_(ChatFormatting.GRAY)); 
  }
}
